> For the complete documentation index, see [llms.txt](https://docs.ndax.in/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ndax.in/v3/private-endpoints/deposits/get.md).

# GET

### Deposits <a href="#deposits" id="deposits"></a>

#### `GET /deposits` <a href="#get-deposits" id="get-deposits"></a>

```
const getDeposits = () => {
  const body = {}
  const timestamp = Math.round(Date.now() / 1000)
  const payload = timestamp + 'GET' + '/deposits' + '{}'
  const decodedSecret = Buffer.from(apiSecret, 'base64')
  const hmac = crypto.createHmac('sha256', decodedSecret)
  const signedPayload = hmac.update(payload).digest('base64')

  // SET HEADERS
  const headers = {
    'X-NDAX-API-KEY': 'public_key',
    'X-NDAX-SIGNED': signedPayload,
    'X-NDAX-TIMESTAMP': timestamp,
    'X-NDAX-PASSPHRASE': 'passphrase'
  }
  const options = {
    headers,
    body,
    json: true
  }

  return request.get('https://api.ndax.in/deposits', options)
}
```

> Sample Response

```
{
  "message": [
    {
      "settle_timestamp": 1590663417000,
      "account_id": "80289ce5-072b-4739-929d-dcc5ccc542f3",
      "movement_id": "21bdbb11-712f-4cb7-a178-4f277c80cde0",
      "participant_code": "ABC123",
      "account_group": "00SCXM",
      "account_label": "general",
      "asset": "BTC",
      "amount": "4.0000",
      "reference_id": "408482348dcb0e0331a9148d50f8c76db08138f63fb1586fcfc45200a91ccc5f",
      "source": "tb1qne1pq8yampg83w4d5ywc79frdrub0az9eqpq9w",
      "received_address": "tb1qf9bd2891mfhhz87o6ibairn86tadctgcn822pl",
      "run_id": "12613"
    }
  ],
  "page": 1,
  "total_pages": 1
}
```

Returns an array of deposits associated with the participant requesting. If you'd like to view your customer deposits in addition to yours, use the include\_customer\_deposits query parameter.

Query parameters include:

* `page` (optional) for paginating through your list of addresses
* `asset` (optional) will filter to a specific asset
* `include_customer_deposits` (optional) if true, will return customer deposits in addition to platform deposits
* `settle_timestamp` filters deposits based on a given timestamp in milliseconds `1593798130060` or nanoseconds `1593798130060000000` using the following next params for the following filter types:
  * `[gt]` greater than a given timestamp, e.g. `settle_timestamp[gt]=1593798130060`
  * `[gte]` greater than or equal to a given timestamp, e.g. `settle_timestamp[gte]=1593798130060`
  * `[e]` equal to a given timestamp, e.g. `settle_timestamp[e]=1593798130060`
  * `[lt]` less than a given timestamp, e.g. `settle_timestamp[lt]=1593798130060`
  * `[lte]` lower than or equal to a given timestamp, e.g. `settle_timestamp[lte]=1593798130060`
  * combinations are also possible, e.g. to find a trades between `1593798130555` and `1593798130777` you can use the next combination `settle_timestamp[gt]=1593798130555&settle_timestamp[lt]=1593798130777`

Response:

<table><thead><tr><th width="183.33333333333331">Parameter</th><th width="453">Description</th><th>Type</th></tr></thead><tbody><tr><td>settle_timestamp</td><td>The timestamp for when the deposit was credited to the participant - this is also the <code>movement_timestamp</code></td><td>timestamp</td></tr><tr><td>movement_id</td><td>A unique ID for the specific account update</td><td>string</td></tr><tr><td>account_id</td><td>Unique ID of the specific account</td><td>string</td></tr><tr><td>participant_code</td><td>The participant that was credited with the deposit, e.g. <code>ABCDEF</code></td><td>string</td></tr><tr><td>account_group</td><td>The account group associated with the <code>account_id</code> that received the deposit, e.g. <code>00SCXM</code> for the Seed Digital Commodities Market account group</td><td>string</td></tr><tr><td>account_label</td><td>The account label associated with the account</td><td>string</td></tr><tr><td>asset</td><td>The asset code for the request, e.g. <code>BTC</code></td><td>string</td></tr><tr><td>amount</td><td>The amount that was deposited into the account</td><td>number</td></tr><tr><td>reference_id</td><td>This is an external identifier associated with the deposit, which is context-specific depending on the asset type and deposit source - wire, transfer or on-chain transaction ID</td><td>string</td></tr><tr><td>source</td><td>The bank into which the fiat deposit was made or the blockchain address from which the crypto deposit came</td><td>string</td></tr><tr><td>received_address</td><td>The blockchain address to which the crypto deposit went</td><td>string</td></tr><tr><td>run_id</td><td>A unique ID for the particular run</td><td>string</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ndax.in/v3/private-endpoints/deposits/get.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
